Package org.eclipse.cdt.utils.macho.parser

## Class MachOBinaryArchive64

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile
    - - org.eclipse.cdt.utils.macho.parser.MachOBinaryArchive64

All Implemented Interfaces:
  `IBinaryParser.IBinaryArchive`, `IBinaryParser.IBinaryFile`, `org.eclipse.core.runtime.IAdaptable`

    public class MachOBinaryArchive64
    extends BinaryFile
    implements IBinaryParser.IBinaryArchive

Since:
  5.2

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
`MachOBinaryArchive64​(IBinaryParser parser, org.eclipse.core.runtime.IPath p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IBinaryParser.IBinaryObject[]` `getObjects()`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getContents, getPath, getType, hasChanged`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

### Constructor Detail

#### MachOBinaryArchive64

    public MachOBinaryArchive64​(IBinaryParser parser,
                                org.eclipse.core.runtime.IPath p)
                         throws IOException

Throws:
  `IOException`

### Method Detail

#### getObjects

    public IBinaryParser.IBinaryObject[] getObjects()

Specified by:
  `getObjects` in interface `IBinaryParser.IBinaryArchive`
See Also:
  `IBinaryParser.IBinaryArchive.getObjects()`